Package org.flywaydb.core.api.output

## Class InfoOutput

- java.lang.Object
- - org.flywaydb.core.api.output.InfoOutput

-     public class InfoOutput
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `category` |
    `java.lang.String` | `description` |
    `int` | `executionTime` |
    `java.lang.String` | `filepath` |
    `java.lang.String` | `installedBy` |
    `java.lang.String` | `installedOnUTC` |
    `java.lang.String` | `state` |
    `java.lang.String` | `type` |
    `java.lang.String` | `undoable` |
    `java.lang.String` | `undoFilepath` |
    `java.lang.String` | `version` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoOutput​(java.lang.String category, java.lang.String version, java.lang.String description, java.lang.String type, java.lang.String installedOnUTC, java.lang.String state, java.lang.String undoable, java.lang.String filepath, java.lang.String undoFilepath, java.lang.String installedBy, int executionTime)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### category

          public java.lang.String category

    - #### version

          public java.lang.String version

    - #### description

          public java.lang.String description

    - #### type

          public java.lang.String type

    - #### installedOnUTC

          public java.lang.String installedOnUTC

    - #### state

          public java.lang.String state

    - #### undoable

          public java.lang.String undoable

    - #### filepath

          public java.lang.String filepath

    - #### undoFilepath

          public java.lang.String undoFilepath

    - #### installedBy

          public java.lang.String installedBy

    - #### executionTime

          public int executionTime

  - ### Constructor Detail

    - #### InfoOutput

          public InfoOutput​(java.lang.String category,
                            java.lang.String version,
                            java.lang.String description,
                            java.lang.String type,
                            java.lang.String installedOnUTC,
                            java.lang.String state,
                            java.lang.String undoable,
                            java.lang.String filepath,
                            java.lang.String undoFilepath,
                            java.lang.String installedBy,
                            int executionTime)